package cn.timer.api.dto.zpgl;

import cn.timer.api.bean.disk.DiskCloudDiskUser;
import cn.timer.api.config.exception.ValidationMsg;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021-12-27 10:05:49
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ZpglRcxxDto implements Serializable{
	
	private static final long serialVersionUID = -1230023773946171911L;

	/**
	 * 人才信息Id
	 */
	@ApiModelProperty(value = "人才信息Id")
	private Integer id;

	/**
	 * 状态 1:待初筛 2:初筛通过 3:已安排面试 4:已面试 5:面试通过 6:拟录用 7:已发Offer 8:待入职 9已淘汰
	 */
	@ApiModelProperty(value = "状态 1:待初筛 2:初筛通过 3:已安排面试 4:已面试 5:面试通过 6:拟录用 7:已发Offer 8:待入职 9已淘汰")
	private Integer status;

	/**
	 * 资源目录ID
	 */
	@ApiModelProperty(value = "淘汰原因ID")
	private Integer zpglFailId;
	/**
	 * 备注
	 */
	@ApiModelProperty(value = "备注")
	private String remarks;
	/**
	 * 附加操作：0无，1加入人才库
	 */
	@ApiModelProperty(value = "附加操作：0无，1加入人才库")
	private Integer ifrck;

}
